#!/bin/sh

/usr/syno/bin/synopkg status ActiveBackup 1>/dev/null 2>&1
if [ $? -ne 0 ]; then #package is disable, just skip
        exit 0
fi

HOOK="/var/packages/ActiveBackup/target/bin/synoabk-hook"

case $1 in
        --name|--pkg-ver|--vendor)
                ${HOOK} package_info $1
        ;;

        --sdk-mod-ver)
                ${HOOK} share --sdk-mod-ver;
        ;;

        --pre)
		case $ACTION in
		CREATE)
		    ;;
		RESTORE)
		    ${HOOK} share_snapshot  --pre-restore
		    ;;
		CLONE_SHARE)
		    ;;
		CLONE_SNAP)
		    ;;
		*)
		    ;;
		esac

        ;;

        --post)
		case $ACTION in
		CREATE)
		    ;;
		RESTORE)
		    ${HOOK} share_snapshot  --post-restore
		    ;;
		CLONE_SHARE)
		    ;;
		CLONE_SNAP)
		    ;;
		*)
		    ;;
		esac
        ;;

        *)
        ;;
esac
